Unit tzp16r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ZP16R_p;

function tzp16r: String;

implementation

function tzp16r: String;
var
_i,NREAL,IERR :Integer;
ROOT :Array [0..2] of Real;
const
A :Array [0..3] of Real = ( 1.0,-6.0,11.0,-6.0 );
begin
Result := '';  {   }
Result := Result + Format('%s',[' TEST FOR SUBROUTINE ZP16R ']);
ZP16R(A,NREAL,ROOT,IERR);
Result := Result + Format('%s',[#$0D#$0A + ' COEFF: ']);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[A[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' REALS: ']);
Result := Result + Format('%5d ',[NREAL]);
Result := Result + Format('%s',[#$0D#$0A + ' ROOTS: ']);
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[ROOT[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + '  IERR: ']);
Result := Result + Format('%5d ',[IERR]);
UtRes('tzp16r',Result);  {     tzp16r.res }
exit;
end;

end.
